Subject: Re: [manet] Need for DAD in Ad Hoc Networks

From: Sourabh Sharma <[email-masked]>
Date: Tue, 04 Nov 2003 00:25:53 +0800 (SGT)

Hello Grady,

 Thanks for your reply. My next question would be - Is there a way
 to disbale DAD  in IPv6 implementation. as in can it be a
 configurable option ?
 because RFC2462 section 5.4 specifies DAD MUST take place on all unicast
 addresses

 Thanks,
 Sourabh

On Mon, 3 Nov 2003, JP O Grady wrote:

> What about IPv4. You may have a point in regard to IPv6 but obviously MACs cant be used in IPv4, therefore some sort of DAD process will be needed in IPv4.
> 
> JP O Grady
> Cork Institute of Technology
> Ireland
> 
> Subject: [manet] Need for DAD in Ad Hoc Networks
> 
> Dear All,
> 
>  I would like some authoritative answers on this.
> 
>  Since IPv6 Autoconf scheme uses 48 bit MACID for autconfiguration
>  of IPaddress - DAD is proposed due to the following reasons:
>  -  MAC Ids are designed to be unique but are not gauranteed.
>  -  Some users/ devices may use random MAC IDs -->might lead to duplicates
> 
>  My argument for Not using DAD in Ad hoc networks is as follows:
> 
>  - Finding a node within an ad hoc network with the same MACID has
>     a very low probability
>  - Finding a node within an ad hoc network with the same MACID + SubNET ID
>    has an even lower probability.
>    In case of Small ad hoc networks - this probability can be safely
>    assumed to be zero.
> 
>   Thus, in case of using DSR ( where it is assumed that nw_diameter is
>   small --> especially in the case of IPv6 where each IP address in the
>   source route is 32 bytes, the network cannot support more than 5-7
>    hops.) we can say that not using DAD will not cause any problems.
> 
>  Please let me know of your opinion on this.
> 
>  Regards,
>  Sourabh Sharma
>  I2R, Singapore
> 
> 
> 
> 
> 
> -------------------Legal  Disclaimer---------------------------------------
> 
> The above electronic mail transmission is confidential and intended only for the person to whom it is addressed. Its contents may be protected by legal and/or professional privilege. Should it be received by you in error please contact the sender at the above quoted email address. Any unauthorised form of reproduction of this message is strictly prohibited. The Institute does not guarantee the security of any information electronically transmitted and is not liable if the information contained in this communication is not a proper and complete record of the message as transmitted by the sender nor for any delay in its receipt.
> 
> ----------------------------------------------------------------------------------------
> 

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Jaehoon Paul Jeong" <[email-masked]>
Date: Tue, 4 Nov 2003 11:08:56 +0900

Please, look at my inline comments :-)

----- Original Message ----- 
From: "Sourabh Sharma" <[email-masked]>

>  because RFC2462 section 5.4 specifies DAD MUST take place on all unicast

It does so for IPv6 link-local.
According to RFC2462, we can skip DAD for global IPv6 address.
-------------------------------------------------------------------------------------------
   Thus, if a node has already verified the uniqueness of a link-local address, 
   additional addresses created from the same interface identifier need not be tested individually.
   In contrast, all addresses obtained manually or via stateful address
   autoconfiguration should be tested for uniqueness individually. To
   accommodate sites that believe the overhead of performing Duplicate
   Address Detection outweighs its benefits, the use of Duplicate
   Address Detection can be disabled through the administrative setting
   of a per-interface configuration flag.
-------------------------------------------------------------------------------------------

Anyway, I am not sure we need IPv6 link-local address in MANET.

/Paul&jw™¨¥Šx%ŠËfjw‰ë_¢¸!¶Úlÿü0ÃXžµú+ƒùšŠYšŸùb²Ø§~æjw